local M = {}

M.add = function(a)
return a+1
end

M.dx = application:getLogicalTranslateX() / application:getLogicalScaleX()
M.dy = application:getLogicalTranslateY() / application:getLogicalScaleY()
M.width = application:getContentWidth()
M.height = application:getContentHeight()
M.fullw = M.width+2*M.dx
M.fullh = M.height+2*M.dy
M.screenTop = -M.dy
M.screenLeft = -M.dx
M.centerX = (M.width+2*M.dx)/2
M.centerY = (M.height+2*M.dy)/2




M.tall = false
if M.fullh/M.fullw>1.6 then

	M.tall=true
end

local deviceHt = application:getDeviceHeight()
local deviceWt = application:getDeviceWidth()


if (deviceHt/deviceWt)>1.6 then

	M.HorizontalDistance = math.floor((M.width-38)/9) --20)--33--31
	M.VerticalDistance = math.floor(38*M.HorizontalDistance/35)     --31) --40  --38
	M.xS = 0.1*math.floor(9.6*M.HorizontalDistance/35)--31)

elseif (deviceHt/deviceWt)<=1.6 then

	M.VerticalDistance = math.floor(38*M.height/(480*1.1))       --((160-71)/4.5)*display.contentHeight/480           --math.round((display.contentHeight-50-71-16)/9)
	M.HorizontalDistance = math.floor(31*M.VerticalDistance/38)
	M.xS = 0.1*math.floor(9.6*M.HorizontalDistance/31)

end

M.color = 56

M.colorProfile = {

    {243/255,243/255,249/255}, --1{243/255,243/255,231/255}, -----the bluish very light color that appears on top of Popup windows,
	{123/255,123/255,124/255},  -----2-the dark color, usually on top on light color
	{98/255,98/255,98/255},         ----3---------very dark gray used for headings and stuff
	{73/255, 73/255, 80/255},   -------4------the dark color that makes the almost transparent layer that comes with the PopUps

	{180/255,180/255,180/255},   -----5---1 of three shades of gray used for background of Popup.
	{165/255,165/255,165/255},   -----6---2 of three shades of gray used for background of Popup.
	{154/255,153/255,153/255},    -----7---3 of three shades of gray used for background of Popup.
	
	{242/255, 90/255, 112/255},    -----8---Red
	{228/255,142/255,169/255},     -----9---Pink
	{140/255, 209/255, 71/255},--{171/255, 219/255, 88/255},  ----10--green-------abdb58{186/255, 219/255, 87/255}    -----10-Green--BADB57
	{116/255, 115/255, 133/255}, --{88/255, 88/255, 96/255},    ----11--blusih gray background for all scenes-CHANGED
	{191/255, 191/255, 201/255},--{191/255, 191/255, 191/255},  ----12---lightest gray used for star lines, background of the topPanel in GameScene-CHANGED
	{},
	{150/255,159/255,174/255},--{138/255,138/255,138/255},   ------14---color for basepiece-CHANGED
	{205/255, 205/255, 217/255}, ------15----color for gray balls
	{1,1,1,}  -----16-----white  
    

}

M.colorTable = {}
M.colorTable.colorSelected = {{91,168,36},{15,87,138},{138,15,87},{15,138,66},{66,15,138},{168,113,36}}

return M